Bug 162487 - New port: net/fcitx-cloudpinyin: A Pinyin amplifier
Summary: New port: net/fcitx-cloudpinyin: A Pinyin amplifier
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cheng-Lung Sung
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-11 18:50 UTC by lichray
Modified: 2011-11-14 00:50 UTC (History)
0 users

See Also:


Attachments
fcitx-cloudpinyin.shar (2.12 KB, text/plain)
2011-11-11 18:50 UTC, lichray
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description lichray 2011-11-11 18:50:03 UTC
	
	http://code.google.com/p/fcitx/
	cloudpinyin is not a input method. It makes use of the cloud Pinyin services and adds the candidates to your running Pinyin IME.
Comment 1 lichray 2011-11-11 20:10:00 UTC
This port has nothing to do with x11. Please replace `x11` with `net` or
just removes it from the CATEGORIES list. And also removes `x11` from
fcitx-sunpinyin, fcitx-googlepinyin's CATEGORIES list when you commit this.
They are pure IM modules, and do not depends on X.

--
Zhihao Yuan
Comment 2 Cheng-Lung Sung freebsd_committer 2011-11-12 01:51:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

I'll take it.
Comment 3 dfilter service freebsd_committer 2011-11-14 00:41:48 UTC
clsung      2011-11-14 00:41:34 UTC

  FreeBSD ports repository

  Modified files:
    chinese/fcitx-configtool Makefile distinfo 
    chinese/fcitx-googlepinyin Makefile distinfo 
    chinese/fcitx-sunpinyin Makefile distinfo 
    chinese/fcitx-ui-light Makefile distinfo 
  Log:
  - remove the x11 sub-categories of the fcitx-* ports, and put their distfiles
  together
  
  PR:             ports/162487
  Submitted by:   maintainer (Zhihao Yuan)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.2       +1 -1      ports/chinese/fcitx-configtool/Makefile
  1.2       +2 -2      ports/chinese/fcitx-configtool/distinfo
  1.2       +2 -1      ports/chinese/fcitx-googlepinyin/Makefile
  1.2       +2 -2      ports/chinese/fcitx-googlepinyin/distinfo
  1.2       +2 -1      ports/chinese/fcitx-sunpinyin/Makefile
  1.2       +2 -2      ports/chinese/fcitx-sunpinyin/distinfo
  1.2       +2 -2      ports/chinese/fcitx-ui-light/Makefile
  1.2       +2 -2      ports/chinese/fcitx-ui-light/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Cheng-Lung Sung freebsd_committer 2011-11-14 00:49:11 UTC
State Changed
From-To: open->closed

New port added. Thank You.
Comment 5 dfilter service freebsd_committer 2011-11-14 00:49:14 UTC
clsung      2011-11-14 00:49:01 UTC

  FreeBSD ports repository

  Modified files:
    chinese              Makefile 
  Added files:
    chinese/fcitx-cloudpinyin Makefile distinfo pkg-descr 
                              pkg-plist 
  Log:
  fcitx-cloudpinyin is not an input method engine. It adds candidates
  from the cloud-based Pinyin services (Sogou, QQ, Baidu, Google) to any
  Pinyin IMEs in Fcitx.
  
  WWW:    http://code.google.com/p/fcitx/
  
  PR:             ports/162487
  Submitted by:   maintainer (Zhihao Yuan)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.310     +1 -0      ports/chinese/Makefile
  1.1       +27 -0     ports/chinese/fcitx-cloudpinyin/Makefile (new)
  1.1       +2 -0      ports/chinese/fcitx-cloudpinyin/distinfo (new)
  1.1       +5 -0      ports/chinese/fcitx-cloudpinyin/pkg-descr (new)
  1.1       +4 -0      ports/chinese/fcitx-cloudpinyin/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"